1.3
1.3
get /v1/private-dns
Description
List all Private DNS
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | Private DNS ID Example : 10fjkewefprivatedns3193rud543 | any of [string, null] | None |
| query | name optional | Private DNS Name Example : | any of [string, null] | None |
| query | vpc_id optional | Connected VPC ID Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | state optional | State Example : ACTIVE | any of [enum (CREATING, EDITING, ACTIVE, ACTIVATING, INACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateDnsListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/private-dns
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = dns 1.3"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"private_dns": [
{
"auth_dns_name": "",
"connected_vpc_ids": [
""
],
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "This is description",
"id": "10fjkewefprivatedns3193rud543",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "private-dns01",
"pool_id": "10fjksdpooliddfsi12389esfdslkdsr32",
"pool_name": "",
"registered_region": "KR-WEST1",
"resolver_ip": "198.19.0.101",
"resolver_name": "",
"state": "CREATING"
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}